
ChiliProject - Bug # 573: acts_as_searchable definition in WikiPage may be insufficient and cause SQL 
errors

Status: Closed Priority: Normal
Author: Gregor Schmidt Category:
Created: 2011-08-10 Assignee:
Updated: 2011-08-21 Due date:
Remote issue URL:
Affected version: master
Description: The find option :include will not always cause a JOIN. Therefore conditions need to explictly reference the 

joined table, to make it work. This is not done for the join performed by @acts_as_searchable@ in 
@app/models/wiki_page.rb@

See comments on 
APIDock:"http://apidock.com/rails/ActiveRecord/Base/find/class#163-Specifying-include-no-longer-necessarily
-joins-the-association" for more detailed explanation

We are running into this issue in one of our plugins cucumber steps. I was not able to reproduce this issue 
outside of cucumber, but I guess the proposed change is small enough and conforms to best practices, so 
that is should be fine to add, even without a proper way to reproduce the error.

Pull request on the way.

Associated revisions
2011-08-11 10:05 am - Gregor Schmidt 
[#573] Being more explicit about search fields to make sure, that AR joins all tables properly

2011-08-21 05:56 pm - Felix SchÃ¤fer 
Merge pull request #96 from finnlabs/pulls/573/fix_aas_in_wiki_content

[#573] acts_as_searchable definition in WikiPage may be insufficient and cause SQL errors

History
2011-08-11 08:50 am - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/96

2011-08-21 03:58 pm - Felix Schäfer
- (deleted custom field) set to master

- Status changed from Ready for review to Closed

If column names are explicitly given, they should be full column names with the table name. Committed in commit:3d03a3e, thanks.
